Aggiunta (o Modifica) della configurazione libreria per AppleTalk

Aggiunta (o Modifica) della configurazione libreria per AppleTalk |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per il protocollo AppleTalk.

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft® SQL Server® in attesa sulla libreria di rete AppleTalk.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server. Selezionato AppleTalk.
Nome oggetto | Specificare l'oggetto servizio assegnato dall'amministratore del sistema.
Area | Consente di specificare l'area utilizzata durante la registrazione del servizio.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo della libreria di rete AppleTalk (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)

© 2009 Microsoft Corporation. Tutti i diritti riservati.


Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)

Per aggiungere la configurazione di una libreria di rete:

  1. Selezionare la scheda Alias e fare clic su Aggiungi.

  2. Selezionare una delle librerie di rete in Librerie di rete, nella finestra di dialogo Aggiungi configurazione libreria di rete.

  3. Immettere l'alias server e tutte le informazioni di parametro necessarie per la libreria di rete selezionata.


Modalità di configurazione di un client per l'utilizzo della libreria di rete AppleTalk (Utilità di rete del Client)

Per configurare l'utilizzo della libreria di rete AppleTalk da parte di un client:

  1. Selezionare la scheda Alias e fare clic su Aggiungi.

  2. Nella finestra di dialogo Aggiungi configurazione libreria di rete selezionare AppleTalk.

  3. Nella casella Alias server immettere il nome dell'istanza di Microsoft SQL Server in attesa sulla libreria di rete AppleTalk.

  4. In Parametri di connessione digitare il nome dell'oggetto AppleTalk e gli identificatori di area facoltativi.


Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)

Per eliminare la configurazione di una libreria di rete:

  1. Selezionare la scheda Alias, quindi fare clic sulla configurazione della libreria di rete da eliminare.

  2. Scegliere Rimuovi.


Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)

Per modificare la configurazione di una libreria di rete:

  1. Selezionare la scheda Alias, quindi fare clic sulla configurazione del protocollo di rete da modificare.

  2. Fare clic su Modifica.

  3. Modificare le informazioni desiderate nella finestra di dialogo Modifica configurazione libreria di rete.


Aggiunta (o Modifica) della configurazione libreria per NWLink IPX/SPX (Nome servizio)

Aggiunta (o Modifica) della configurazione libreria per NWLink IPX/SPX (Nome servizio) |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per il protocollo NWLink IPX/SPX.

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft SQL Server in attesa sulla libreria di rete NWLink IPX/SPX.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server. Selezionato NWLink IPX/SPX.
Specifica parametri in base a | Consente di indicare come vengono specificati i parametri. Selezionato Nome servizio.
Nome servizio | Consente di specificare il nome del computer su cui è in esecuzione un'istanza di SQL Server. Queste informazioni vengono archiviate nel bindery del server.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo di una libreria di rete NWLink IPX/SPX (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Modalità di configurazione di un client per l'utilizzo di una libreria di rete NWLink IPX/SPX (Utilità di rete del Client)

Per configurare l'utilizzo della libreria di rete NWLink IPX/SPX da parte di un client:

  1. Selezionare la scheda Alias e fare clic su Aggiungi.

  2. Nella finestra di dialogo Aggiungi configurazione libreria di rete selezionare NWLink IPX/SPX.

  3. Nella casella Alias server immettere l'alias dell'istanza di Microsoft SQL Server in attesa sulla libreria di rete NWLink IPX/SPX.

  4. In Parametri di connessione selezionareNome servizio o Indirizzo di rete, quindi eseguire una delle operazioni seguenti:

    • Se è stata scelta l'opzione Nome servizio, immettere il nome del servizio.

      Nome servizio è il nome del computer su cui è in esecuzione un'istanza di SQL Server. Tale nome viene archiviato nel bindery del computer server.

  5. Se è stata scelta l'opzione Indirizzo di rete, immettere l'indirizzo (indirizzo MAC), la porta (numero di socket) e la rete (numero di rete NetWare).


Aggiunta (o Modifica) della configurazione libreria per NWLink IPX/SPX (Indirizzo di rete)

Aggiunta (o Modifica) della configurazione libreria per NWLink IPX/SPX (Indirizzo di rete) |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per il protocollo NWLink IPX/SPX.

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft SQL Server in attesa sulla libreria di rete NWLink IPX/SPX.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server. Selezionato NWLink IPX/SPX.
Specifica parametri in base a | Consente di indicare come vengono specificati i parametri. Selezionato Indirizzo di rete.
Indirizzo | Consente di specificare l'indirizzo MAC.
Porta | Consente di specificare il numero di socket. Il valore predefinito è 33854.
Rete | Consente di specificare il numero di rete NetWare. Il valore predefinito è 0.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo di una libreria di rete NWLink IPX/SPX (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Aggiunta (o Modifica) della configurazione libreria per Multiprotocol

Aggiunta (o Modifica) della configurazione libreria per Multiprotocol |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per il protocollo Multiprotocol

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft SQL Server in attesa sulla libreria di rete Multiprotocol.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server. Selezionato Multiprotocol.
Nome server | Consente di specificare l'istanza di SQL Server in attesa dei client Multiprotocol.
Altri parametri | Consente di specificare parametri di configurazione aggiuntivi per la libreria di rete Multiprotocol. Questi parametri sono facoltativi.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo della libreria di rete Multiprotocol (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Modalità di configurazione di un client per l'utilizzo della libreria di rete Multiprotocol (Utilità di rete del Client)

Nota:
Prima di creare una configurazione client Multiprotocol, verificare che nel computer sia stato caricato almeno uno dei protocolli IPC caricati sul server in Multiprotocol (Named Pipe, NWLink IPX/SPX, TCP/IP o Windows Sockets).

Per configurare l'utilizzo della libreria di rete Multiprotocol da parte di un client:

  1. Selezionare la scheda Alias e fare clic su Aggiungi.

  2. Nella finestra di dialogo Aggiungi configurazione libreria di rete selezionare Multiprotocol.

  3. Nella casella Alias server immettere il nome dell'istanza di Microsoft SQL Server in attesa sulla libreria di rete Multiprotocol.

  4. Lasciare vuota la casella Altri parametri, a meno che il server non richieda parametri specifici. Verificare con l'amministratore di rete prima di immettere i parametri.


Aggiunta (o Modifica) della configurazione libreria per Named Pipe

Aggiunta (o Modifica) della configurazione libreria per Named Pipe |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per il protocollo Named Pipe.

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft SQL Server in attesa sulla libreria di rete Named Pipe.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server. Selezionato Named Pipe.
Nome server | Consente di specificare il nome del server dell'istanza di destinazione di SQL Server.
Nome pipe | Consente di specificare la pipe che la libreria di rete Named Pipe utilizzerà per tentare la connessione all'istanza di destinazione di SQL Server.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di creazione di un alias per client in una pipe alternativa (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Modalità di creazione di un alias per client in una pipe alternativa (Utilità di rete del Client)

Per creare un alias per client in una pipe alternativa:

  1. Selezionare la scheda Alias e fare clic su Aggiungi.

  2. Nella finestra di dialogo Aggiungi configurazione libreria di rete selezionare Named Pipe.

  3. Nella casella Alias server immettere l'alias del server.

  4. Nella casella Nome pipe di Parametri di connessione digitare il nome del nome della pipe alternativa (ad esempio, \\myserver\pipe\altpipe).


Aggiunta (o Modifica) di altre configurazioni libreria

Aggiunta (o Modifica) di altre configurazioni libreria |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per altri protocolli.

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft SQL Server in attesa mediante la nuova configurazione di libreria di rete.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server.
Nome file | Consente di specificare il nome e il percorso del file DLL per la libreria di rete fornita da terze parti.
Parametri | Consente di specificare eventuali parametri obbligatori e il formato degli stessi.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo di una libreria di rete non standard (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Modalità di configurazione di un client per l'utilizzo di una libreria di rete non standard (Utilità di rete del Client)

Per configurare l'utilizzo di una libreria di rete non standard da parte di un client:

  1. Selezionare la scheda Alias e fare clic su Aggiungi.

  2. Nella finestra di dialogo Aggiungi configurazione libreria di rete selezionare Altre.

  3. Nella casella Alias server immettere l'alias dell'istanza di Microsoft SQL Server in attesa sulla libreria di rete che si intende installare.

  4. In Parametri di connessione digitare il nome file della libreria di rete installata; il file deve essere una DLL. Non immettere l'estensione della DLL.

  5. Se necessario, immettere informazioni aggiuntive, ad esempio nome utente e password, nella casella Parametri. Utilizzare la virgola come separatore dei parametri.


Aggiunta (o Modifica) della configurazione libreria per TCP/IP

Aggiunta (o Modifica) della configurazione libreria per TCP/IP |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per il protocollo TCP/IP.

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft SQL Server in attesa sulla libreria di rete TCP/IP Sockets.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server. Selezionato TCP/IP.
Nome server | Consente di specificare l'istanza di SQL Server in attesa dei client TCP/IP Sockets.
Determina porta in modo dinamico | Consente di specificare la determinazione automatica della porta da parte della libreria di rete. La porta specificata in Numero porta non sarà utilizzata.
Numero porta | Consente di specificare la porta che la libreria di rete TCP/IP utilizzerà per tentare la connessione all'istanza di destinazione di SQL Server. Il numero di porta predefinito è 1433, ossia il numero di porta utilizzato in genere dalla libreria di rete Windows Sockets per SQL Server. Utilizzare nella maggior parte dei casi il numero di porta predefinito. Questo campo è attivo solo quando la casella di controllo Determina porta in modo dinamico è deselezionata.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo di TCP/IP (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Modalità di configurazione di un client per l'utilizzo di TCP/IP (Utilità di rete del Client)

Per configurare l'utilizzo di TCP/IP da parte di un client:

  1. Selezionare la scheda Generale e fare clic su Aggiungi.

  2. Nella finestra di dialogo Aggiungi configurazione libreria di rete selezionare TCP/IP.

  3. Nella casella Alias server immettere l'alias dell'istanza di Microsoft SQL Server in attesa sulla libreria di rete Windows Sockets.

  4. Il protocollo TCP/IP consente inoltre di specificare per il server l'indirizzo IP anziché il nome.

  5. Effettuare una delle operazioni seguenti:

    • Selezionare la casella di controllo Determina porta in modo dinamico per determinare la porta automaticamente.

    • Deselezionare la casella di controllo Determina porta in modo dinamico per impostare manualmente la porta, quindi digitare il numero della porta nella casella Numero porta.

Per ulteriori informazioni sugli altri protocolli TCP/IP che supportano Windows Sockets, vedere la documentazione TCP/IP.


Aggiunta (o Modifica) della configurazione libreria per Banyan VINES

Aggiunta (o Modifica) della configurazione libreria per Banyan VINES |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per il protocollo Banyan VINES.

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft SQL Server in attesa mediante la libreria di rete Banyan VINES.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server. Selezionato Banyan VINES.
Servizio | Consente di specificare il nome del servizio basato su StreetTalk PC utilizzato dal server.
Gruppo | Consente di specificare il gruppo cui appartiene il servizio.
Società | Consente di specificare l'organizzazione cui appartiene il servizio.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo della libreria di rete Banyan VINES (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Modalità di configurazione di un client per l'utilizzo della libreria di rete Banyan VINES (Utilità di rete del Client)

Per configurare l'utilizzo della libreria di rete Banyan VINES da parte di un client:

  1. Selezionare la scheda Alias e fare clic su Aggiungi.

  2. Nella finestra di dialogo Aggiungi configurazione libreria di rete selezionare Banyan VINES.

  3. Nella casella Alias server immettere l'alias dell'istanza di Microsoft SQL Server in attesa sulla libreria di rete Banyan VINES.

  4. In Parametri di connessione digitare il servizio e l'organizzazione VINES. In caso di gruppo è possibile utilizzare il valore predefinito di MSSQL.


Scheda Alias

Scheda Alias |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella scheda Alias.

Opzione | Descrizione
Configurazione alias server | Elenca le informazioni sugli alias server dei computer a cui si sta connettendo il client.
Alias server | Indica l'alias server utilizzato per il computer a cui si sta connettendo il client.
Libreria di rete | Indica la libreria di rete client utilizzata per la voce di configurazione.
Parametri di connessione | Indica tutti i parametri associati all'indirizzo di connessione per la configurazione della libreria di rete.
Aggiungi | Aggiunge una nuova configurazione di libreria di rete:
Rimuovi | Rimuove una configurazione di libreria di rete
Modifica | Modifica la configurazione di una libreria di rete:

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)
Verifica che SQL Server è in attesa su AppleTalk e può accettare una connessione client (Utilità di rete del Client)


Verifica che SQL Server è in attesa su AppleTalk e può accettare una connessione client (Utilità di rete del Client)

Per verificare che Microsoft® SQL Server® è in attesa su AppleTalk e può accettare una connessione client:

  1. Copiare la libreria di rete AppleTalk client (Dbmsadsn.dll) dalla directory \WINNT\system32 del server nella stessa directory del computer remoto che esegue Microsoft Windows® o i servizi di Microsoft Windows 2000 per Macintosh.

  2. Sulla workstation remota avviare Configurazione client SQL Server.

  3. Se AppleTalk è elencato nell'elenco Protocolli disattivati, selezionare AppleTalk, quindi fare clic su Attiva.

  4. Nell'elenco Protocolli attivati (in ordine di attivazione) selezionare AppleTalk, quindi fare clic sul pulsante Su fino a portare AppleTalk all'inizio dell'elenco.

  5. Fare clic su OK.

  6. Effettuare un tentativo di connessione ISQL con il nome oggetto del servizio AppleTalk.

    Ad esempio, nella riga di comando digitare:

    Copia codice
    isql -Usa -P -Sservicename
    Se è possibile stabilire la connessione con ISQL ed eseguire query , il server è configurato correttamente e accetta connessioni.

Nota:
La libreria di rete Microsoft Win32 AppleTalk (ADSP) sul lato client (Dbmsadsn.dll) è inclusa per il test di connessioni ADSP e la risoluzione di problemi di connessione AppleTalk tra client Macintosh e Microsoft SQL Server. Questa libreria di rete deve essere utilizzata solo per testare una connessione da un client remoto a un'istanza di SQL Server. Il tentativo di effettuare connessioni locali tramite la libreria di rete ADSP a un'istanza di SQL Server in attesa su AppleTalk determinerà la visualizzazione dell'errore di rete seguente: Net-Library error 11: getsockopt ().


Scheda Opzioni DB-Library

Scheda Opzioni DB-Library |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella scheda Opzioni DB-Library.

Opzione | Descrizione
Nome file | Indica il nome file e il percorso della versione DB-Library installata nel computer.
Versione | Indica il numero della versione DB-Library installata nel computer.
Data | Indica la data in cui la versione DB-Library è stata installata nel computer.
Dimensioni | Indica le dimensioni del file DB-Library installato nel computer.
Conversione automatica da ANSI a OEM | Attiva in DB-Library la conversione di un set di caratteri da OEM in ANSI durante la comunicazione con Microsoft SQL Server dal client e da ANSI a OEM durante la comunicazione con il client da SQL Server. L'opzione è selezionata per impostazione predefinita.
Usa impostazioni internazionali | Attiva in DB-Library la visualizzazione dei formati di data, ora e valuta del sistema anziché tramite parametri hardcoded. Tale opzione è selezionata per impostazione predefinita in caso di client in esecuzione su sistemi operativi Microsoft Windows a 32 bit.

Vedere anche

Riferimento

Modalità di impostazione delle preferenze di conversione di DB-Library (Utilità di rete del Client)


Modalità di impostazione delle preferenze di conversione di DB-Library (Utilità di rete del Client)

Nota:
Questa procedura si applica ai client del sistema operativo Microsoft Windows a 32 bit.

Per impostare le preferenze di conversione di DB-Library:

  1. Selezionare la scheda Opzioni DB-Library.

  2. Selezionare o deselezionare la casella di controllo Conversione automatica da ANSI a OEM.

  3. Selezionare o deselezionare la casella di controllo Usa impostazioni internazionali.


Scheda Generale

Scheda Generale |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella scheda Generale.

Opzione | Descrizione
Protocolli disattivati | Indica i protocolli disponibili attualmente non attivati nel computer. Per attivare un protocollo,selezionarlo e quindi fare clic su Attiva.
Protocolli attivati (in ordine di attivazione) | Indica i protocolli attualmente disponibili nel computer. I protocolli vengono elencati nell'ordine in cui saranno utilizzati dal sistema durante i tentativi di connessione.
Attiva | Attiva il protocollo correntemente evidenziato nell'elenco Protocolli disattivati. È inoltre possibile eseguire la funzione facendo doppio clic sul protocollo.
Disattiva | Disattiva il protocollo correntemente evidenziato nell'elenco Protocolli attivati (in ordine di attivazione). È inoltre possibile eseguire la funzione facendo doppio clic sul protocollo.
Pulsanti Su e Giù | Sposta il protocollo evidenziato nell'elenco verso l'alto o verso il basso, consentendo di modificare l'ordine nel quale la libreria di rete tenterà di utilizzare i protocolli per le connessioni.
Proprietà | Visualizza le proprietà di connessione predefinite del protocollo evidenziato.
Imponi crittografia protocolli | Attiva la crittografia del protocollo mediante SSL (Secure Sockets Layer).
Attiva protocollo di memoria condivisa | Attiva il protocollo di memoria condivisa per le connessioni effettuate nello stesso computer.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)
Verifica che SQL Server è in attesa su AppleTalk e può accettare una connessione client (Utilità di rete del Client)


Scheda Librerie di rete

Scheda Librerie di rete |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella scheda Librerie di rete.

Opzione | Descrizione
Libreria di rete | Elenca le librerie di rete client di Microsoft SQL Server installate nel computer.
Nome file libreria | Elenca la posizione delle librerie di rete client di SQL Server installate nel computer.
Versione | Elenca i numeri di versione delle librerie di rete client di SQL Server installate nel computer.
Data file | Elenca le date in cui le librerie di rete client di SQL Server sono state installate nel computer.
Dimensioni | Elenca le dimensioni dei file delle librerie di rete client di SQL Server installate nel computer.

Vedere anche

Riferimento

Modalità di visualizzazione dei numeri di versione della libreria di rete (Utilità di rete del Client)


Modalità di visualizzazione dei numeri di versione della libreria di rete (Utilità di rete del Client)

Per visualizzare i numeri di versione della libreria:

  • Fare clic sulla scheda Librerie di rete.

    Verranno visualizzati la libreria di rete, il nome file della libreria, la versione, la data e le dimensioni del file.


Aggiunta (o Modifica) della configurazione libreria per VIA

Aggiunta (o Modifica) della configurazione libreria per VIA |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Aggiungi (o Modifica) configurazione libreria di rete per il protocollo VIA.

Opzione | Descrizione
Alias server | Consente di specificare un nome univoco per il server che esegue un'istanza di Microsoft SQL Server in attesa mediante la libreria di rete VIA.
Librerie di rete | Consente di specificare la libreria di rete che sarà utilizzata per la connessione al server. Selezionato VIA.
Nome server | Consente di specificare l'istanza di SQL Server in attesa dei client VIA.
Numero porta server | Consente di specificare il numero di porta del server da utilizzare per la connessione a un'istanza di SQL Server. Il valore predefinito è 0:1433.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Impostazione dei valori predefiniti del protocollo AppleTalk

Impostazione dei valori predefiniti del protocollo AppleTalk |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Imposta valori predefiniti protocollo di rete per il protocollo AppleTalk.

Opzione | Descrizione
Area predefinita | Consente di specificare l'area utilizzata durante la registrazione del servizio.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo della libreria di rete AppleTalk (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Impostazione dei valori predefiniti del protocollo Banyan VINES

Impostazione dei valori predefiniti del protocollo Banyan VINES |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Imposta valori predefiniti protocollo di rete per il protocollo Banyan VINES.

Opzione | Descrizione
Gruppo predefinito | Consente di specificare il gruppo cui appartiene il servizio.
Organizzazione predefinita | Consente di specificare l'organizzazione cui appartiene il servizio.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo della libreria di rete Banyan VINES (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Modalità di verifica della versione dei driver ODBC di SQL Server (Windows)

Per verificare la versione dei driver ODBC di SQL Server (ODBC a 32 bit):

  1. In Strumenti di amministrazione fare doppio clic su Origine dati (ODBC).

  2. Fare clic sulla scheda Driver.

  3. Le informazioni relative a Microsoft SQL Server verranno visualizzate nella colonna Versione.


Modalità di configurazione di un client per l'utilizzo di una libreria di rete VIA (Utilità di rete del Client)

Per configurare l'utilizzo della libreria di rete VIAda parte di un client:

  1. Selezionare la scheda Alias e fare clic su Aggiungi.

  2. Nella finestra di dialogo Aggiungi configurazione libreria di rete selezionare VIA.

  3. Nella casella Alias server immettere l'alias dell'istanza di Microsoft SQL Server in attesa sulla libreria di rete VIA.

  4. In Parametri di connessione digitare il nome del server e il numero di porta dello stesso.


Gestione dei client

Un client è un'applicazione front-end che utilizza i servizi forniti da un server. Il computer sul quale è installata l'applicazione viene definito computer client. Il software client consente ai computer di connettersi a un'istanza di Microsoft SQL Server presente in rete.

I client di SQL Server sono applicazioni di vario tipo, tra cui:

  • Consumer OLE DB

    Queste applicazioni utilizzano il provider Microsoft OLE DB per SQL Server oppure il provider Microsoft OLE DB per ODBC per connettersi e comunicare con istanze di SQL Server. I provider OLE DB fungono da intermediari tra un'istanza di SQL Server e applicazioni client che utilizzano dati SQL Server come set di righe OLE DB.

  • Applicazioni ODBC

    Sono incluse utilità client installate con SQL Server, quali SQL Server Enterprise Manager e SQL Query Analyzer, e altre applicazioni che utilizzano il driver ODBC di SQL Server per connettersi e comunicare con un'istanza di SQL Server.

  • Client DB-Library, compresi l'utilità della riga di comando isql di SQL Server e i client scritti in DB-Library.

Indipendentemente dal tipo di applicazione, la gestione di un client consiste principalmente nel configurarne la connessione con i componenti server di SQL Server. A seconda dei requisiti del sito, le attività di gestione dei client possono variare dalla semplice immissione del nome del server alla creazione di una libreria di voci di configurazione personalizzate, destinate a un ambiente multiserver eterogeneo.


Impostazione dei valori predefiniti del protocollo Multiprotocol

Impostazione dei valori predefiniti del protocollo Multiprotocol |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Imposta valori predefiniti protocollo di rete per il protocollo Multiprotocol.

La casella di dialogo contiene un'opzione, Protocolli RPC, in cui è possibile elencare i protocolli che la libreria di rete Multiprotocol utilizzerà per tentare di connettersi all'istanza di destinazione di Microsoft SQL Server. La libreria di rete Multiprotocol proverà ogni protocollo nell'ordine specificato fino allo stabilimento di una connessione. Di seguito vengono elencati i nomi dei singoli protocolli. Ogni nome deve essere separato da uno spazio.

Protocollo | Nome
Multiprotocol | nlrpc
Named Pipe | nacn_np
TCP/IP | nacn_ip_tcp
IPX/SPX | nacn_spx

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo della libreria di rete Multiprotocol (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Impostazione dei valori predefiniti del protocollo Named Pipe

Impostazione dei valori predefiniti del protocollo Named Pipe |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Imposta valori predefiniti protocollo di rete per il protocollo Named Pipe.

Opzione | Descrizione
Pipe predefinita | Consente di specificare la pipe predefinita che la libreria di rete Named Pipe utilizzerà per tentare la connessione all'istanza di Microsoft SQL Server.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di creazione di un alias per client in una pipe alternativa (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Impostazione dei valori predefiniti del protocollo NWLink IPX/SPX

Impostazione dei valori predefiniti del protocollo NWLink IPX/SPX |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Imposta valori predefiniti protocollo di rete per il protocollo NWLink IPX/SPX.

Opzione | Descrizione
Rete predefinita | Consente di specificare il numero di rete NetWare. Il valore predefinito è 0.
Porta predefinita | Consente di specificare il numero di socket. Il valore predefinito è 33854.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo di una libreria di rete NWLink IPX/SPX (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Impostazione dei valori predefiniti del protocollo TCP/IP

Impostazione dei valori predefiniti del protocollo TCP/IP |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Imposta valori predefiniti protocollo di rete per il protocollo TCP/IP.

Opzione | Descrizione
Porta predefinita | Consente di specificare la porta che la libreria di rete TCP/IP utilizzerà per tentare la connessione all'istanza di Microsoft SQL Server. Il valore predefinito è 1433.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di configurazione di un client per l'utilizzo di TCP/IP (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Impostazione dei valori predefiniti del protocollo VIA

Impostazione dei valori predefiniti del protocollo VIA |
 | Vedere anche

In questa sezione vengono illustrate le opzioni e le funzioni disponibili nella finestra di dialogo Imposta valori predefiniti protocollo di rete per il protocollo VIA.

Opzione | Descrizione
Produttore | Consente di specificare il produttore dell'hardware da utilizzare con il protocollo VIA.
Porta predefinita server | Consente di specificare la porta server predefinita. Il valore predefinito è 0:1433.
NIC client predefinita | Consente di specificare la scheda di interfaccia di rete client predefinita. Il valore predefinito è 0.

Vedere anche

Riferimento

Modalità di aggiunta di configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di eliminazione della configurazione di una libreria di rete (Utilità di rete del Client)
Modalità di modifica di configurazione di una libreria di rete (Utilità di rete del Client)


Informazioni su Utilità di rete del Client di SQL Server

Utilità di rete del Client di SQL Server è un strumento grafico che consente di effettuare le operazioni seguenti:

  • Creare connessioni di protocollo di rete ai server specificati e modificare il protocollo di rete predefinito.

  • Visualizzare informazioni sulle librerie di rete attualmente installate nel sistema.

  • Visualizzare la versione DB-Library attualmente installata nel sistema e impostare i valori predefiniti per le opzioni DB-Library.


Copyright e informazioni legali

Le informazioni contenute nel presente documento, inclusi URL e altri riferimenti a siti Web, sono soggette a modifiche senza preavviso. Se non specificato diversamente, ogni riferimento a società, organizzazioni, prodotti, nomi di dominio, indirizzi di posta elettronica, logo, persone, luoghi ed eventi utilizzati negli esempi è puramente casuale e ha il solo scopo di illustrare l'uso del prodotto Microsoft. Nessuna associazione con nessuna società, organizzazione, prodotto, nome di dominio, indirizzo di posta elettronica, logo, persona, luogo o evento è intenzionale o può essere presupposta. Il rispetto di tutte le leggi applicabili in materia di copyright è esclusivamente a carico dell'utente. Fermi restando tutti i diritti coperti da copyright, nessuna parte del presente documento potrà comunque essere riprodotta, archiviata o inserita in un sistema di riproduzione o trasmessa in qualsiasi forma e con qualsiasi mezzo (in formato elettronico, meccanico, fotocopia, tramite registrazione o altro) per qualsiasi scopo, senza il permesso scritto di Microsoft Corporation.

Microsoft può essere titolare di brevetti, domande di brevetto, marchi, copyright o altri diritti di proprietà intellettuale relativi all'oggetto del presente documento. Salvo quanto espressamente previsto in un contratto scritto di licenza Microsoft, la consegna del presente documento non implica la concessione di alcuna licenza su tali brevetti, marchi, copyright o altra proprietà intellettuale.

© 2009 Microsoft Corporation. Tutti i diritti riservati.

Microsoft, Active Directory, ActiveX, JScript, Microsoft Press, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual Studio, Win32, Windows e Windows NT sono marchi di Microsoft Corporation.

Altri nomi di prodotti e società citati nel presente documento possono essere marchi dei rispettivi proprietari.